Skip to main content

Create a connection profile

POST 

/api/v1/ConnectionProfile

Creates a connection profile and returns it. The name must not match another connection profile.

Permission required: Administrator.

Values for type: 0 = Generic, 1 = ConnectionProfile, 2 = EmailSettings, 3 = System.

Values for approvalTypeRequired: 0 = Deny, 1 = Allow, 2 = Workflow, 3 = External.

Values for activityConfigurationSettings[].type: 0 = String, 1 = Integer, 2 = UnsignedInteger, 3 = Boolean, 4 = Guid.

Values for customFields[].customFieldDataType: 0 = Integer, 1 = String, 2 = Options.

Caution: The profile is created immediately.

Request​

Responses​

The profile was created. The body is the new connection profile.